Setting to critical because snap packages cannot be installed from
snapcraft.io

** Description changed:

+ Test Case:
+ 1. Open https://snapcraft.io/store in a webbrowser
+ 2. Search for discord and select the entry
+ 3. Click on Install
+ 
+ Expected result
+ It installs discord.
+ 
+ Actual Result
+ This crash
+ 
  -
  
  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: gnome-software 3.27.90-1ubuntu1
  ProcVersionSignature: Ubuntu 4.15.0-11.12-generic 4.15.5
  Uname: Linux 4.15.0-11-generic x86_64
  ApportVersion: 2.20.8-0ubuntu10
  Architecture: amd64
  CurrentDesktop: Unity:Unity7:ubuntu
  Date: Wed Feb 28 23:18:23 2018
  ExecutablePath: /usr/bin/gnome-software
  InstallationDate: Installed on 2017-06-18 (255 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170618)
  InstalledPlugins:
-  gnome-software-plugin-flatpak 3.27.90-1ubuntu1
-  gnome-software-plugin-limba   N/A
-  gnome-software-plugin-snap    3.27.90-1ubuntu1
+  gnome-software-plugin-flatpak 3.27.90-1ubuntu1
+  gnome-software-plugin-limba   N/A
+  gnome-software-plugin-snap    3.27.90-1ubuntu1
  ProcCmdline: /usr/bin/gnome-software --gapplication-service
  SegvAnalysis:
-  Segfault happened at: 0x7fe66804f17d <g_type_check_instance+13>:     mov    
(%rdi),%rax
-  PC (0x7fe66804f17d) ok
-  source "(%rdi)" (0x00000001) not located in a known VMA region (needed 
readable region)!
-  destination "%rax" ok
+  Segfault happened at: 0x7fe66804f17d <g_type_check_instance+13>:     mov    
(%rdi),%rax
+  PC (0x7fe66804f17d) ok
+  source "(%rdi)" (0x00000001) not located in a known VMA region (needed 
readable region)!
+  destination "%rax" ok
  SegvReason: reading NULL VMA
  Signal: 11
  SourcePackage: gnome-software
  StacktraceTop:
-  g_type_check_instance () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
-  g_signal_handlers_disconnect_matched () from 
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
-  ?? ()
-  ?? ()
-  ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
+  g_type_check_instance () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
+  g_signal_handlers_disconnect_matched () from 
/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
+  ?? ()
+  ?? ()
+  ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
  Title: gnome-software crashed with SIGSEGV in g_type_check_instance()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

** Changed in: gnome-software (Ubuntu)
   Importance: High => Critical

** Also affects: gnome-software (Ubuntu Bionic)
   Importance: Critical
       Status: Confirmed

** Changed in: gnome-software (Ubuntu Bionic)
     Assignee: (unassigned) => Robert Ancell (robert-ancell)

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1752645

Title:
  gnome-software crashed with SIGSEGV in g_type_check_instance()

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1752645/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

Reply via email to